Skip to main content
POST
/
api
/
external
/
collection
/
interac-money-request
curl --request POST \ --url https://api-prod.blaaiz.com/api/external/collection/interac-money-request \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "amount": 100, "email": "payer@example.com" } '
{ "message": "Interac money request sent successfully.", "transaction_id": "20580e50-1b32-40a6-aa46-ac8e795b3zas", "reference": "CA1MR6ahQBCJ", "expires_at": "2026-06-14T10:00:00+00:00" }

Authorizations

Authorization
string
header
required

Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.

Headers

Accept
string
default:application/json

Content type header.

Body

application/json
amount
number
required

Amount of CAD to request, in major units (e.g. 100.00).

Required range: x >= 0.1
email
string<email>
required

The payer's email address. Blaaiz sends the Interac money request to this address; the payer approves it from their bank app.

customer_name
string

Optional display name for the payer shown on the Interac request. Defaults to your business name when omitted.

Maximum string length: 255
customer_id
string

Optional ID of a VERIFIED customer belonging to your business, to attribute the collection to.

expiry_hours
integer

Optional. Hours until the money request expires if the payer doesn't approve it. Defaults to 48; capped at 120.

Required range: 1 <= x <= 120

Response

Interac money request sent. The collection is pending until the payer approves it.

message
string
required
transaction_id
string
required

Blaaiz transaction ID for the pending collection.

reference
string
required

Interac reference number returned by the provider for this money request.

expires_at
string<date-time>
required

When the money request expires if the payer does not approve it (48 hours from creation).